POST /discord/guilds/{guildId}/events

Create a scheduled event: external (location and endsAt), voice or stage (channelId). Needs Manage Events

POST
/discord/guilds/{guildId}/events

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

guildId*string

Discord server (guild) id

Request Body

application/json
  1. body
accountId*string
name*string
Lengthlength <= 100
description?string
Lengthlength <= 1000
startsAt*string

ISO 8601, in the future

Formatdate-time
entity*|
imageDataUri?string

Cover image as a base64 data URI (PNG, JPEG, GIF)

Response Body

{data}

application/json
  1. response
data?

Discord's scheduled event, verbatim

Example Request
curl -X POST 'https://example.com/api/v1/discord/guilds/string/events' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "name": "string",  "startsAt": "2019-08-24T14:15:22Z",  "entity": {    "type": "external",    "location": "string",    "endsAt": "2019-08-24T14:15:22Z"  }}'
Example Response
{  "data": {    "id": "string",    "guild_id": "string",    "channel_id": "string",    "creator_id": "string",    "name": "string",    "description": "string",    "scheduled_start_time": "string",    "scheduled_end_time": "string",    "privacy_level": 2,    "status": 1,    "entity_type": 1,    "entity_id": "string",    "entity_metadata": {},    "user_count": 0,    "image": "string"  }}